#Module-Specific definitions
%define mod_version 1.04
%define mod_name mod_fcgid
%define mod_conf A27_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}.%{mod_version}

%define apache_version 2.0.53

# Standard Module Definitions
%define name apache2-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Mod_fcgid is a DSO module for the apache2 Web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
Group:		System/Servers
License:	GPL
URL:		http://fastcgi.coremail.cn/
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	doc.htm.bz2
BuildRequires:	file
Prereq:		apache2 >= %{apache_version}
Prereq:		apache2-conf
BuildRequires:  apache2-devel >= %{apache_version}-1mdk
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_fcgid is a binary compatibility alternative to Apache module
mod_fastcgi. mod_fcgid has a new process management strategy,
which concentrates on reducing the number of fastcgi server, and
kick out the corrupt fastcgi server as soon as possible.

%prep

%setup -q -n %{sourcename}

# fix strange perms
chmod 644 AUTHOR ChangeLog INSTALL.txt

bzcat %{SOURCE2} > doc.html

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
My_Flags=`%{_sbindir}/apxs2 -q CFLAGS`

%make \
    top_dir=%{_libdir}/apache2 \
    CFLAGS="$My_Flags -I."

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache2-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache2-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHOR ChangeLog INSTALL.txt doc.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache2-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-4mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.04-1mdk
- 1.04
- strip away annoying ^M

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.03-1mdk
- rebuilt for apache 2.0.53

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-2mdk
- fix deps

* Fri Nov 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.03-1mdk
- initial mandrake package
